Bug 192328 - OpenOffice doesn't print from command-line when it isn't open in GUI.
OpenOffice doesn't print from command-line when it isn't open in GUI.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
http://www.oooforum.org/forum/viewtop...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 17:52 EDT by Oded Rimon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 03:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 54649 None None None Never

  None (edit)
Description Oded Rimon 2006-05-18 17:52:07 EDT
Description of problem:
OOo only prints from command line ("oowriter -p foo.odt") if it is already open.
This avoids printing documents from start-up scripts (before OOo is open).
Moreover, command-line options are usually used to avoid opening the program in
the GUI and save time...
I don't know whether this is a bug or is deliberate, and if it's deliberate, why
does this option exist at all...
See URL for an image of the error message and more info on my "tests".
Thank you.

Version-Release number of selected component (if applicable):
OpenOffice.org 2.0.2 (fedora's 2.0.2-5.9.2)

How reproducible:
Always (whenever OpenOffice isn't open).

Steps to Reproduce:
1. Make sure no instance of OpenOffice is open.
2. Type "oowriter -p foo.odt" or "ooffice -p history.odt".
  
Actual results:
Error message saying "Error while printing".

Expected results:
Should have printed my file to the default printer (or the given printer using
the option '-pt').

Additional info:
See URL.
Thank you very much.
Comment 1 Oded Rimon 2006-05-18 17:54:28 EDT
Sorry for the bad English, I'm tired and have an important test tomorrow...
Comment 2 Caolan McNamara 2006-05-25 03:57:31 EDT
I guess this isn't resolved by 2.0.2-5.12.2 ?

If not, then it sounds like http://qa.openoffice.org/issues/show_bug.cgi?id=54649

Note You need to log in before you can comment on or make changes to this bug.